# Yahoo! UI Library

### yuitest 2.8.0r4

Yahoo! UI Library > yuitest > YAHOO.tool.TestCase.Wait
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.tool.TestCase.Wait

Represents a stoppage in test execution to wait for an amount of time before continuing.

### Constructor

YAHOO.tool.TestCase.Wait `( segment , delay )`

Parameters:
  `segment <Function>` A function to run when the wait is over.
  `delay <int>` The number of milliseconds to wait before running the code.

### Properties

#### delay - `int`

The delay before running the segment of code.

#### segment - `Function`

The segment of code to run when the wait is over.

Copyright © 2009 Yahoo! Inc. All rights reserved.